# Cilium debug information

#### Service list

```
ID   Frontend            Service Type   Backend                  
1    10.45.16.1:443      ClusterIP      1 => 34.102.48.255:443   
2    10.45.16.10:53      ClusterIP      1 => 10.60.0.36:53       
                                        2 => 10.60.1.78:53       
3    10.45.18.104:80     ClusterIP      1 => 10.60.1.163:8080    
4    10.168.0.70:30720   NodePort       1 => 10.60.1.163:8080    
5    0.0.0.0:30720       NodePort       1 => 10.60.1.163:8080    
6    10.45.22.58:443     ClusterIP      1 => 10.60.0.109:10250   
7    10.45.28.24:2379    ClusterIP      1 => 10.60.1.234:2379    
8    10.168.0.70:31469   NodePort       1 => 10.60.1.234:2379    
9    0.0.0.0:31469       NodePort       1 => 10.60.1.234:2379    
10   10.168.0.30:2379    LoadBalancer   1 => 10.60.1.234:2379    
```

#### k8s-service-cache

```
(*k8s.ServiceCache)(0xc0005ff248)({
 Events: (chan k8s.ServiceEvent) (cap=128) 0xc000653080,
 mutex: (lock.RWMutex) {
  internalRWMutex: (lock.internalRWMutex) {
   RWMutex: (sync.RWMutex) {
    w: (sync.Mutex) {
     state: (int32) 0,
     sema: (uint32) 0
    },
    writerSem: (uint32) 0,
    readerSem: (uint32) 0,
    readerCount: (int32) 1,
    readerWait: (int32) 0
   }
  }
 },
 services: (map[k8s.ServiceID]*k8s.Service) (len=5) {
  (k8s.ServiceID) kube-system/clustermesh-apiserver: (*k8s.Service)(0xc000af8990)(frontends:[10.45.28.24]/ports=[]/selector=map[k8s-app:clustermesh-apiserver]),
  (k8s.ServiceID) kube-system/default-http-backend: (*k8s.Service)(0xc0009ad0e0)(frontends:[10.45.18.104]/ports=[http]/selector=map[k8s-app:glbc]),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.Service)(0xc0009ad170)(frontends:[10.45.22.58]/ports=[]/selector=map[k8s-app:metrics-server]),
  (k8s.ServiceID) default/kubernetes: (*k8s.Service)(0xc0009ad200)(frontends:[10.45.16.1]/ports=[https]/selector=map[]),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.Service)(0xc0009ad290)(frontends:[10.45.16.10]/ports=[dns dns-tcp]/selector=map[k8s-app:kube-dns])
 },
 endpoints: (map[k8s.ServiceID]*k8s.EndpointSlices) (len=5) {
  (k8s.ServiceID) default/kubernetes: (*k8s.EndpointSlices)(0xc00000ed30)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=10) "kubernetes": (*k8s.Endpoints)(0xc00000ed18)(34.102.48.255:443/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/kube-dns: (*k8s.EndpointSlices)(0xc00000ed58)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=14) "kube-dns-lkrfg": (*k8s.Endpoints)(0xc0018ca358)(10.60.0.36:53/TCP,10.60.0.36:53/UDP,10.60.1.78:53/TCP,10.60.1.78:53/UDP)
   }
  }),
  (k8s.ServiceID) kube-system/default-http-backend: (*k8s.EndpointSlices)(0xc00000ed90)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=26) "default-http-backend-qb457": (*k8s.Endpoints)(0xc0018ca280)(10.60.1.163:8080/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/metrics-server: (*k8s.EndpointSlices)(0xc00000edb8)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=20) "metrics-server-5xj8g": (*k8s.Endpoints)(0xc0018ca4c8)(10.60.0.109:10250/TCP)
   }
  }),
  (k8s.ServiceID) kube-system/clustermesh-apiserver: (*k8s.EndpointSlices)(0xc0013fe070)({
   epSlices: (map[string]*k8s.Endpoints) (len=1) {
    (string) (len=27) "clustermesh-apiserver-wdvvg": (*k8s.Endpoints)(0xc0013fe578)(10.60.1.234:2379/TCP)
   }
  })
 },
 externalEndpoints: (map[k8s.ServiceID]k8s.externalEndpoints) {
 },
 nodeAddressing: (*linux.linuxNodeAddressing)(0x5050aa8)({
  ipv6: (linux.addressFamilyIPv6) {
  },
  ipv4: (linux.addressFamilyIPv4) {
  }
 }),
 selfNodeZoneLabel: (string) ""
})

```


#### kvstore-locks

```
(map[string]kvstore.lockOwner) {
}

```


#### ongoing-endpoint-creations


#### ipam

```
<nil>
```


#### Cilium encryption



#### Cilium version

```
1.11.90 fe69cb4 2022-04-12T22:24:45+00:00 go version go1.18 linux/amd64
```


#### Cilium environment keys

```
enable-vtep:false
ipv6-pod-subnets:
cgroup-root:
k8s-require-ipv6-pod-cidr:false
bpf-root:
write-cni-conf-when-ready:
bgp-announce-pod-cidr:false
enable-host-reachable-services:false
prepend-iptables-chains:true
hubble-listen-address:
bpf-lb-maglev-table-size:16381
agent-health-port:9876
bpf-lb-rss-ipv4-src-cidr:
enable-cilium-endpoint-slice:false
bpf-ct-global-any-max:262144
k8s-kubeconfig-path:
ipv6-node:auto
join-cluster:false
enable-l7-proxy:true
enable-health-check-nodeport:true
node-port-mode:snat
enable-auto-protect-node-port-range:true
node-port-algorithm:random
enable-ipv6-masquerade:true
k8s-watcher-endpoint-selector:metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
enable-well-known-identities:false
enable-l2-neigh-discovery:true
enable-k8s-endpoint-slice:true
enable-xdp-prefilter:false
kvstore-periodic-sync:5m0s
enable-svc-source-range-check:true
tunnel:vxlan
bpf-ct-timeout-regular-tcp-fin:10s
enable-remote-node-identity:true
enable-ip-masq-agent:false
proxy-prometheus-port:0
hubble-metrics-server:
enable-endpoint-routes:true
max-controller-interval:0
k8s-heartbeat-timeout:30s
prefilter-device:undefined
operator-api-serve-addr:127.0.0.1:9234
debug:false
enable-endpoint-health-checking:true
kvstore-opt:
hubble-recorder-storage-path:/var/run/cilium/pcaps
proxy-gid:1337
node-port-acceleration:disabled
http-request-timeout:3600
auto-create-cilium-node-resource:true
exclude-local-address:
enable-policy:default
hubble-event-buffer-capacity:4095
ip-allocation-timeout:2m0s
socket-path:/var/run/cilium/cilium.sock
tunnel-port:0
certificates-directory:/var/run/cilium/certs
enable-ipv4-egress-gateway:false
bpf-map-dynamic-size-ratio:0.0025
ipv6-mcast-device:
hubble-metrics:
k8s-service-cache-size:128
enable-k8s-event-handover:false
log-system-load:false
tofqdns-idle-connection-grace-period:0s
enable-service-topology:false
http-max-grpc-timeout:0
bpf-lb-bypass-fib-lookup:false
local-router-ipv4:
bpf-filter-priority:1
egress-multi-home-ip-rule-compat:false
enable-external-ips:true
tofqdns-dns-reject-response-code:refused
enable-k8s-terminating-endpoint:true
keep-config:false
k8s-service-proxy-name:
k8s-sync-timeout:3m0s
endpoint-interface-name-prefix:
enable-local-node-route:false
enable-unreachable-routes:false
enable-local-redirect-policy:false
bpf-lb-algorithm:random
mtu:0
hubble-recorder-sink-queue-size:1024
envoy-config-timeout:2m0s
clustermesh-config:/var/lib/cilium/clustermesh/
tofqdns-max-deferred-connection-deletes:10000
restore:true
dns-policy-unload-on-shutdown:false
sockops-enable:false
pprof-port:6060
policy-queue-size:100
gops-port:9890
k8s-require-ipv4-pod-cidr:false
ipv4-service-range:auto
identity-change-grace-period:5s
agent-labels:
bpf-lb-external-clusterip:false
bpf-policy-map-max:16384
bpf-lb-dsr-l4-xlate:frontend
ipv4-range:auto
ipv4-native-routing-cidr:10.60.0.0/14
ipv4-pod-subnets:
ip-masq-agent-config-path:/etc/config/ip-masq-agent
enable-ipv6-ndp:false
gke-node-init-script:#!/bin/bash

set -o errexit
set -o pipefail
set -o nounset
     

# Check if we're running on a GKE containerd flavor.
GKE_KUBERNETES_BIN_DIR="/home/kubernetes/bin"
if [[ -f "${GKE_KUBERNETES_BIN_DIR}/gke" ]] && command -v containerd &>/dev/null; then
     echo "GKE *_containerd flavor detected..."

     # (GKE *_containerd) Upon node restarts, GKE's containerd images seem to reset
     # the /etc directory and our changes to the kubelet and Cilium's CNI
     # configuration are removed. This leaves room for containerd and its CNI to
     # take over pods previously managed by Cilium, causing Cilium to lose
     # ownership over these pods. We rely on the empirical observation that
     # /home/kubernetes/bin/kubelet is not changed across node reboots, and replace
     # it with a wrapper script that performs some initialization steps when
     # required and then hands over control to the real kubelet.

     # Only create the kubelet wrapper if we haven't previously done so.
     if [[ ! -f "${GKE_KUBERNETES_BIN_DIR}/the-kubelet" ]];
     then
     echo "Installing the kubelet wrapper..."

     # Rename the real kubelet.
     mv "${GKE_KUBERNETES_BIN_DIR}/kubelet" "${GKE_KUBERNETES_BIN_DIR}/the-kubelet"

     # Initialize the kubelet wrapper which lives in the place of the real kubelet.
     touch "${GKE_KUBERNETES_BIN_DIR}/kubelet"
     chmod a+x "${GKE_KUBERNETES_BIN_DIR}/kubelet"

     # Populate the kubelet wrapper. It will perform the initialization steps we
     # need and then become the kubelet.
     cat <<'EOF' | tee "${GKE_KUBERNETES_BIN_DIR}/kubelet"
#!/bin/bash
set -euo pipefail
CNI_CONF_DIR="/etc/cni/net.d"
CONTAINERD_CONFIG="/etc/containerd/config.toml"
# Only stop and start containerd if the Cilium CNI configuration does not exist,
# or if the 'conf_template' property is present in the containerd config file,
# in order to avoid unnecessarily restarting containerd.
if [[ -z "$(find "${CNI_CONF_DIR}" -type f -name '*cilium*')" || \
          "$(grep -cE '^\s+conf_template' "${CONTAINERD_CONFIG}")" != "0" ]];
then
     # Stop containerd as it starts by creating a CNI configuration from a template
     # causing pods to start with IPs assigned by GKE's CNI.
     # 'disable --now' is used instead of stop as this script runs concurrently
     # with containerd on node startup, and hence containerd might not have been
     # started yet, in which case 'disable' prevents it from starting.
     echo "Disabling and stopping containerd"
     systemctl disable --now containerd
     # Remove any pre-existing files in the CNI configuration directory. We skip
     # any possibly existing Cilium configuration file for the obvious reasons.
     echo "Removing undesired CNI configuration files"
     find "${CNI_CONF_DIR}" -type f -not -name '*cilium*' -exec rm {} \;
     # As mentioned above, the containerd configuration needs a little tweak in
     # order not to create the default CNI configuration, so we update its config.
     echo "Fixing containerd configuration"
     sed -Ei 's/^(\s+conf_template)/\#\1/g' "${CONTAINERD_CONFIG}"
     # Start containerd. It won't create it's CNI configuration file anymore.
     echo "Enabling and starting containerd"
     systemctl enable --now containerd
fi
# Become the real kubelet, and pass it some additionally required flags (and
# place these last so they have precedence).
exec /home/kubernetes/bin/the-kubelet "${@}" --network-plugin=cni --cni-bin-dir=/home/kubernetes/bin
EOF
     else
     echo "Kubelet wrapper already exists, skipping..."
     fi
else
     # (Generic) Alter the kubelet configuration to run in CNI mode
     echo "Changing kubelet configuration to --network-plugin=cni --cni-bin-dir=/home/kubernetes/bin"
     mkdir -p /home/kubernetes/bin
     sed -i "s:--network-plugin=kubenet:--network-plugin=cni\ --cni-bin-dir=/home/kubernetes/bin:g" /etc/default/kubelet
fi
echo "Restarting the kubelet..."
systemctl restart kubelet

iptables -w -t nat -D POSTROUTING -m comment --comment "ip-masq: ensure nat POSTROUTING directs all non-LOCAL destination traffic to our custom IP-MASQ chain" -m addrtype ! --dst-type LOCAL -j IP-MASQ || true

mkdir -p /tmp/cilium-bootstrap
date > /tmp/cilium-bootstrap/time
crd-wait-timeout:5m0s
bpf-lb-acceleration:disabled
bpf-lb-sock-hostns-only:false
enable-node-port:false
ipam:kubernetes
enable-mke:false
enable-host-legacy-routing:false
ipsec-key-file:
encrypt-interface:
prefilter-mode:native
policy-audit-mode:false
iptables-random-fully:false
monitor-aggregation-interval:5s
kvstore-lease-ttl:15m0s
sidecar-istio-proxy-image:cilium/istio_proxy
log-driver:
native-routing-cidr:
host-reachable-services-protos:
identity-allocation-mode:crd
enable-bgp-control-plane:false
prometheus-serve-addr:
single-cluster-route:false
version:false
hubble-tls-cert-file:
enable-ipv4-fragment-tracking:true
enable-bpf-clock-probe:true
vlan-bpf-bypass:
enable-bandwidth-manager:false
read-cni-conf:
k8s-api-server:
derive-masquerade-ip-addr-from-device:
identity-restore-grace-period:10m0s
endpoint-queue-size:25
annotate-k8s-node:true
http-403-msg:
hubble-event-queue-size:0
bgp-announce-lb-ip:false
enable-k8s-api-discovery:false
local-router-ipv6:
hubble-disable-tls:false
vtep-mac:
force-local-policy-eval-at-source:true
allow-icmp-frag-needed:true
cluster-health-port:4240
bpf-lb-map-max:65536
ipv6-service-range:auto
bpf-fragments-map-max:8192
config:
enable-monitor:true
disable-envoy-version-check:false
hubble-export-file-path:
k8s-namespace:kube-system
kvstore-connectivity-timeout:2m0s
bpf-ct-timeout-service-any:1m0s
enable-icmp-rules:false
enable-health-checking:true
mke-cgroup-mount:
arping-refresh-period:30s
vtep-cidr:
hubble-tls-key-file:
ipv6-range:auto
bpf-nat-global-max:524288
enable-custom-calls:false
metrics:
bypass-ip-availability-upon-restore:false
enable-bpf-tproxy:false
iptables-lock-timeout:5s
encrypt-node:false
hubble-export-file-max-backups:5
hubble-tls-client-ca-files:
enable-ipv6:false
bpf-ct-timeout-regular-any:1m0s
enable-envoy-config:false
route-metric:0
kvstore-max-consecutive-quorum-errors:2
tofqdns-endpoint-max-ip-per-hostname:50
vtep-mask:255.255.255.0
bpf-ct-global-tcp-max:524288
enable-hubble-recorder-api:true
debug-verbose:
kube-proxy-replacement-healthz-bind-address:
kube-proxy-replacement:strict
enable-recorder:false
bpf-ct-timeout-regular-tcp:6h0m0s
bpf-sock-rev-map-max:262144
enable-tracing:false
http-retry-timeout:0
node-port-range:
bpf-neigh-global-max:524288
enable-identity-mark:true
ipv4-service-loopback-address:169.254.42.1
hubble-export-file-compress:false
endpoint-gc-interval:5m0s
devices:
ipv6-cluster-alloc-cidr:f00d::/64
disable-cnp-status-updates:true
pprof:false
enable-wireguard-userspace-fallback:false
enable-ipsec:false
enable-wireguard:false
cmdref:
monitor-aggregation-flags:all
ipvlan-master-device:undefined
enable-hubble:false
datapath-mode:veth
allow-localhost:auto
http-retry-count:3
fixed-identity-mapping:
enable-selective-regeneration:true
node-port-bind-protection:true
cilium-endpoint-gc-interval:5m0s
conntrack-gc-interval:0s
enable-session-affinity:true
envoy-log:
allocator-list-timeout:3m0s
proxy-max-requests-per-connection:0
disable-conntrack:false
enable-xt-socket-fallback:true
direct-routing-device:
enable-ipv4-masquerade:true
config-dir:/tmp/cilium/config-map
state-dir:/var/run/cilium
vtep-endpoint:
bpf-ct-timeout-service-tcp:6h0m0s
disable-endpoint-crd:false
dns-max-ips-per-restored-rule:1000
bgp-config-path:/var/lib/cilium/bgp/config.yaml
monitor-aggregation:none
tofqdns-proxy-response-max-delay:100ms
enable-bpf-masquerade:false
cluster-id:
endpoint-status:
bpf-lb-mode:snat
tofqdns-enable-dns-compression:true
http-normalize-path:true
egress-masquerade-interfaces:
bpf-ct-timeout-regular-tcp-syn:1m0s
disable-iptables-feeder-rules:
http-idle-timeout:0
hubble-export-file-max-size-mb:10
enable-ipv4:true
kvstore:
labels:
ipv4-node:auto
bpf-lb-rss-ipv6-src-cidr:
cflags:
api-rate-limit:
enable-host-port:true
policy-trigger-interval:1s
bpf-lb-maglev-hash-seed:JLfvgnHc2kaSUFaI
preallocate-bpf-maps:false
wait-bpf-mount:true
tofqdns-proxy-port:0
log-opt:
hubble-socket-path:/var/run/cilium/hubble.sock
proxy-connect-timeout:1
custom-cni-conf:false
label-prefix-file:
install-no-conntrack-iptables-rules:false
enable-bbr:false
cluster-name:cilium-cilium-2158036465-vm
trace-payloadlen:128
tofqdns-min-ttl:0
lib-dir:/var/lib/cilium
monitor-queue-size:0
install-iptables-rules:true
proxy-max-connection-duration-seconds:0
tofqdns-pre-cache:
bpf-lb-dev-ip-addr-inherit:
auto-direct-node-routes:false
enable-host-firewall:false
bpf-lb-dsr-dispatch:opt
ipv6-native-routing-cidr:
```


#### Endpoint list

```
ENDPOINT   POLICY (ingress)   POLICY (egress)   IDENTITY   LABELS (source:key[=value])                                                  IPv6   IPv4          STATUS   
           ENFORCEMENT        ENFORCEMENT                                                                                                                    
39         Disabled           Disabled          51472      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.1.163   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=default                                                           
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=glbc                                                                                          
                                                           k8s:name=glbc                                                                                             
174        Disabled           Disabled          4          reserved:health                                                                     10.60.1.81    ready   
584        Disabled           Disabled          2553       k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.1.78    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=kube-dns                                                          
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=kube-dns                                                                                      
1343       Disabled           Disabled          34623      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.1.33    ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent                                                
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=konnectivity-agent                                                                            
1472       Disabled           Disabled          56659      k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.1.110   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=kube-dns-autoscaler                                               
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=kube-dns-autoscaler                                                                           
1844       Disabled           Disabled          1          k8s:cloud.google.com/gke-boot-disk=pd-standard                                                    ready   
                                                           k8s:cloud.google.com/gke-container-runtime=containerd                                                     
                                                           k8s:cloud.google.com/gke-nodepool=default-pool                                                            
                                                           k8s:cloud.google.com/gke-os-distribution=cos                                                              
                                                           k8s:cloud.google.com/gke-preemptible=true                                                                 
                                                           k8s:cloud.google.com/machine-family=e2                                                                    
                                                           k8s:node.kubernetes.io/instance-type=e2-custom-2-4096                                                     
                                                           k8s:topology.gke.io/zone=us-west2-a                                                                       
                                                           k8s:topology.kubernetes.io/region=us-west2                                                                
                                                           k8s:topology.kubernetes.io/zone=us-west2-a                                                                
                                                           reserved:host                                                                                             
2797       Disabled           Disabled          1845       k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.1.249   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent-cpha                                           
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=konnectivity-agent-autoscaler                                                                 
3352       Disabled           Disabled          9178       k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system          10.60.1.234   ready   
                                                           k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm                                              
                                                           k8s:io.cilium.k8s.policy.serviceaccount=clustermesh-apiserver                                             
                                                           k8s:io.kubernetes.pod.namespace=kube-system                                                               
                                                           k8s:k8s-app=clustermesh-apiserver                                                                         
```

#### BPF Policy Get 39

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Ingress     1          ANY          NONE         8078    92        
Allow    Egress      0          ANY          NONE         7698    78        

```


#### BPF CT List 39

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00039: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00039: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00039: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00039: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00039: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00039: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00039: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00039: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 39

```
[
  {
    "id": 39,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-39-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d8f9d097-4cb1-4c58-b3fa-289cd39aacff"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-39",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:49.982Z",
            "success-count": 1
          },
          "uuid": "1b5557c9-43d4-4218-bd19-0f3b2bcb2cb2"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-39",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.762Z",
            "success-count": 6
          },
          "uuid": "64fc0c7f-e785-4db0-9529-89a7ea65a7d1"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (39)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:20.005Z",
            "success-count": 23
          },
          "uuid": "e6aae4cd-5b32-4325-b1ea-c0dc116d44ea"
        }
      ],
      "external-identifiers": {
        "container-id": "9fc2168ee05eafe7be633bd6d16b83b661fcac6b50af4e5d0a9d277a933f8767",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "l7-default-backend-69fb9fd9f9-kdjsw",
        "pod-name": "kube-system/l7-default-backend-69fb9fd9f9-kdjsw"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 51472,
        "labels": [
          "k8s:k8s-app=glbc",
          "k8s:name=glbc",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm"
        ],
        "labelsSHA256": "d0e9028d7c11419e4565dc4d107f140eb9251ac94057c98303850bd13fed42be"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=69fb9fd9f9"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=default",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=glbc",
          "k8s:name=glbc"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.1.163"
          }
        ],
        "host-mac": "ea:eb:b6:93:f0:62",
        "interface-index": 16,
        "interface-name": "lxc338d82a091be",
        "mac": "9a:91:b4:36:c6:cd"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 51472,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 51472,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 39

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 39

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:40Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:03Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:05:03Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:01Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:49Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:49Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 51472

```
ID      LABELS
51472   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
        k8s:io.cilium.k8s.policy.serviceaccount=default
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=glbc
        k8s:name=glbc

```


#### BPF Policy Get 174

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         5070    62        
Allow    Ingress     1          ANY          NONE         2861    33        
Allow    Egress      0          ANY          NONE         4820    60        

```


#### BPF CT List 174

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00174: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00174: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00174: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00174: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00174: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00174: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00174: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00174: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 174

```
[
  {
    "id": 174,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-174-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "053be67a-9f6f-4c98-8232-f4d04a204db7"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-174",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:45.446Z",
            "success-count": 1
          },
          "uuid": "3193fd4d-fa4d-4ed1-8892-4fb82c4ba861"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-174",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.761Z",
            "success-count": 7
          },
          "uuid": "47bc66e3-96f0-4714-aa3f-317b79627bdc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (174)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.459Z",
            "success-count": 23
          },
          "uuid": "b6485dcc-d558-4bd5-a0aa-89c859e826cf"
        }
      ],
      "external-identifiers": {
        "container-name": "cilium-health",
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 4,
        "labels": [
          "reserved:health"
        ],
        "labelsSHA256": "9f122da90704e5177f344e0582800e43b05842f9f6b1812cf4690aade0915275"
      },
      "labels": {
        "realized": {},
        "security-relevant": [
          "reserved:health"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.1.81"
          }
        ],
        "host-mac": "e2:f0:f7:42:cd:7f",
        "interface-index": 8,
        "interface-name": "lxc_health",
        "mac": "1e:8b:93:6f:6e:14"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            1,
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 4,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 174

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 174

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:40Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:02Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:04:58Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:04:45Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:45Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:45Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:44Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 4

```
ID   LABELS
4    reserved:health

```


#### BPF Policy Get 584

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         194046   388       
Allow    Ingress     1          ANY          NONE         34836    394       
Allow    Egress      0          ANY          NONE         208677   734       

```


#### BPF CT List 584

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_00584: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_00584: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_00584: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_00584: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_00584: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_00584: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_00584: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_00584: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 584

```
[
  {
    "id": 584,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-584-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "200ef3fb-3746-4ec1-b557-6bc6ada233fc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-584",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:05:04.360Z",
            "success-count": 1
          },
          "uuid": "796a1611-22db-4d24-ab7d-13ca63ed477f"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-584",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.762Z",
            "success-count": 6
          },
          "uuid": "f29b6754-97de-4a80-a848-e869b5b2a2fc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (584)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:14.391Z",
            "success-count": 21
          },
          "uuid": "543c8e9c-7bc5-4429-afad-3893a5cacd9f"
        }
      ],
      "external-identifiers": {
        "container-id": "be2500dd7b949357fb32aa63ee46edcdc6d8fcc9a76c022d82ebf4a561d35389",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "kube-dns-697dc8fc8b-tskfh",
        "pod-name": "kube-system/kube-dns-697dc8fc8b-tskfh"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 2553,
        "labels": [
          "k8s:k8s-app=kube-dns",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=kube-dns",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm"
        ],
        "labelsSHA256": "0c8ffba477cd3bcca8e421e197296faf6c76616d272d1b2dfe5b564abdfe6241"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=697dc8fc8b"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=kube-dns",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "namedPorts": [
        {
          "name": "dns",
          "port": 53,
          "protocol": "UDP"
        },
        {
          "name": "dns-local",
          "port": 10053,
          "protocol": "UDP"
        },
        {
          "name": "dns-tcp",
          "port": 53,
          "protocol": "TCP"
        },
        {
          "name": "dns-tcp-local",
          "port": 10053,
          "protocol": "TCP"
        },
        {
          "name": "metrics",
          "port": 10054,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.1.78"
          }
        ],
        "host-mac": "4a:b4:58:c3:6e:7e",
        "interface-index": 18,
        "interface-name": "lxcbf98327b2a72",
        "mac": "86:35:0f:db:f7:a8"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 2553,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 2553,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 584

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 584

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:40Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:05Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:05:05Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:04Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:05:04Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:05:04Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:05:04Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 2553

```
ID     LABELS
2553   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
       k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
       k8s:io.cilium.k8s.policy.serviceaccount=kube-dns
       k8s:io.kubernetes.pod.namespace=kube-system
       k8s:k8s-app=kube-dns

```


#### BPF Policy Get 1343

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         397755   1599      
Allow    Ingress     1          ANY          NONE         235491   711       
Allow    Egress      0          ANY          NONE         541580   1822      

```


#### BPF CT List 1343

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01343: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01343: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01343: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01343: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01343: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01343: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01343: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01343: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1343

```
[
  {
    "id": 1343,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1343-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "e9c6596a-9c8d-4613-b1fa-972d76d8fb7b"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1343",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:05:06.200Z",
            "success-count": 1
          },
          "uuid": "4002793c-e2d0-4016-8674-d3bad3a1ab5b"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1343",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.762Z",
            "success-count": 6
          },
          "uuid": "1406e80b-a4db-491e-b283-eff97d8ab859"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1343)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:16.234Z",
            "success-count": 21
          },
          "uuid": "15cd8504-b2d4-4f79-8c9c-f4b8defd9378"
        }
      ],
      "external-identifiers": {
        "container-id": "cf98f988931472c13f30fb38ecee4c12de1edfe9315524169087a6e6f1be0d8a",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "konnectivity-agent-6db7c55769-24fkm",
        "pod-name": "kube-system/konnectivity-agent-6db7c55769-24fkm"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 34623,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:k8s-app=konnectivity-agent",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent"
        ],
        "labelsSHA256": "e301711b9ec59bd04f32108c5ea874d2aa7c96b014df80896ca4c5135c49cbc5"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=6db7c55769"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=konnectivity-agent"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "namedPorts": [
        {
          "name": "metrics",
          "port": 8093,
          "protocol": "TCP"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.1.33"
          }
        ],
        "host-mac": "76:ca:1a:e2:0a:12",
        "interface-index": 20,
        "interface-name": "lxc8ced8129a69a",
        "mac": "b2:15:da:57:13:a5"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 34623,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 34623,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1343

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1343

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:40Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:07Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:05:07Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:06Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:05:06Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:05:06Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:05:06Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 34623

```
ID      LABELS
34623   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
        k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=konnectivity-agent

```


#### BPF Policy Get 1472

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         138673   151       
Allow    Ingress     1          ANY          NONE         0        0         
Allow    Egress      0          ANY          NONE         14403    144       

```


#### BPF CT List 1472

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01472: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01472: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01472: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01472: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01472: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01472: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01472: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01472: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1472

```
[
  {
    "id": 1472,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1472-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "d0dfdd25-b33f-4377-94d8-e76e60e089fb"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1472",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:48.815Z",
            "success-count": 1
          },
          "uuid": "bcdf6f48-4f68-4e95-9144-cafc7a5515fc"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1472",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.761Z",
            "success-count": 6
          },
          "uuid": "d6755f69-ac5b-44da-8614-fd25c8283a93"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1472)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:18.844Z",
            "success-count": 23
          },
          "uuid": "62e3837e-346f-4bcf-9acd-e4641039218d"
        }
      ],
      "external-identifiers": {
        "container-id": "cde5e0e2cec522096f56fb3c492196950f30726dc86ac6fc5358d8baebac503b",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "kube-dns-autoscaler-844c9d9448-9rgz9",
        "pod-name": "kube-system/kube-dns-autoscaler-844c9d9448-9rgz9"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 56659,
        "labels": [
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:k8s-app=kube-dns-autoscaler",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=kube-dns-autoscaler"
        ],
        "labelsSHA256": "8ecf9a2adc35f484cef078263477051eb3b3d742b53a95eb2d6e7441daaeeb2e"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=844c9d9448"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=kube-dns-autoscaler",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=kube-dns-autoscaler"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.1.110"
          }
        ],
        "host-mac": "a2:11:69:b2:9d:8e",
        "interface-index": 10,
        "interface-name": "lxc53a6065f8ab3",
        "mac": "3e:db:7f:7d:10:5d"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 56659,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 56659,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1472

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1472

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:40Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:04:59Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:04:59Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:04:58Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2022-04-13T08:04:48Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:48Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:48Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 56659

```
ID      LABELS
56659   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
        k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
        k8s:io.cilium.k8s.policy.serviceaccount=kube-dns-autoscaler
        k8s:io.kubernetes.pod.namespace=kube-system
        k8s:k8s-app=kube-dns-autoscaler

```


#### BPF Policy Get 1844

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES   PACKETS   
Allow    Ingress     0          ANY          NONE         0       0         
Allow    Egress      0          ANY          NONE         0       0         

```


#### BPF CT List 1844

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_01844: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_01844: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_01844: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_01844: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_01844: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_01844: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_01844: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_01844: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 1844

```
[
  {
    "id": 1844,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-1844-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "96ce8f50-4574-4a01-bdb8-bd8f7c993430"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-1844",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:44.397Z",
            "success-count": 1
          },
          "uuid": "0d17e3d8-6614-43cb-8ec1-24f16242b695"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-1844",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.761Z",
            "success-count": 7
          },
          "uuid": "bf3cd5e8-7faf-43d5-8310-10327b904422"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (1844)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:24.411Z",
            "success-count": 24
          },
          "uuid": "d0328934-6d81-4407-a961-cfeea2fbb457"
        }
      ],
      "external-identifiers": {
        "pod-name": "/"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1,
        "labels": [
          "k8s:cloud.google.com/machine-family=e2",
          "k8s:cloud.google.com/gke-container-runtime=containerd",
          "k8s:cloud.google.com/gke-boot-disk=pd-standard",
          "reserved:host",
          "k8s:topology.kubernetes.io/zone=us-west2-a",
          "k8s:topology.kubernetes.io/region=us-west2",
          "k8s:cloud.google.com/gke-os-distribution=cos",
          "k8s:cloud.google.com/gke-preemptible=true",
          "k8s:topology.gke.io/zone=us-west2-a",
          "k8s:node.kubernetes.io/instance-type=e2-custom-2-4096",
          "k8s:cloud.google.com/gke-nodepool=default-pool"
        ],
        "labelsSHA256": "25e293099dbb730adb352fcc84da7f3a37ea43890a44df1a2b3506b8f2d298df"
      },
      "labels": {
        "derived": [
          "k8s:cloud.google.com/gke-boot-disk=pd-standard",
          "k8s:cloud.google.com/gke-container-runtime=containerd",
          "k8s:cloud.google.com/gke-nodepool=default-pool",
          "k8s:cloud.google.com/gke-os-distribution=cos",
          "k8s:cloud.google.com/gke-preemptible=true",
          "k8s:cloud.google.com/machine-family=e2",
          "k8s:node.kubernetes.io/instance-type=e2-custom-2-4096",
          "k8s:topology.gke.io/zone=us-west2-a",
          "k8s:topology.kubernetes.io/region=us-west2",
          "k8s:topology.kubernetes.io/zone=us-west2-a",
          "reserved:host"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:cloud.google.com/gke-boot-disk=pd-standard",
          "k8s:cloud.google.com/gke-container-runtime=containerd",
          "k8s:cloud.google.com/gke-nodepool=default-pool",
          "k8s:cloud.google.com/gke-os-distribution=cos",
          "k8s:cloud.google.com/gke-preemptible=true",
          "k8s:cloud.google.com/machine-family=e2",
          "k8s:node.kubernetes.io/instance-type=e2-custom-2-4096",
          "k8s:topology.gke.io/zone=us-west2-a",
          "k8s:topology.kubernetes.io/region=us-west2",
          "k8s:topology.kubernetes.io/zone=us-west2-a",
          "reserved:host"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {}
        ],
        "host-mac": "ce:2c:79:7f:42:e6",
        "interface-name": "cilium_host",
        "mac": "ce:2c:79:7f:42:e6"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 1844

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 1844

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:40Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:02Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:01Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:48Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:04:44Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:44Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:44Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:44Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1

```
ID   LABELS
1    reserved:host

```


#### BPF Policy Get 2797

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         145613   146       
Allow    Ingress     1          ANY          NONE         0        0         
Allow    Egress      0          ANY          NONE         13504    136       

```


#### BPF CT List 2797

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_02797: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_02797: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_02797: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_02797: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_02797: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_02797: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_02797: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_02797: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 2797

```
[
  {
    "id": 2797,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-2797-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "4cc77b4b-ada1-4646-914a-6bee88d3ae07"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-2797",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:04:49.881Z",
            "success-count": 1
          },
          "uuid": "3a5e0a41-18fa-421d-8abf-dea09ec802c3"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-2797",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.761Z",
            "success-count": 6
          },
          "uuid": "b0b644cd-e3a6-45da-9d26-9cd23ac164b8"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (2797)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:19.915Z",
            "success-count": 23
          },
          "uuid": "cd7ac9dc-dbac-4481-9531-7e183fb14552"
        }
      ],
      "external-identifiers": {
        "container-id": "2f93b8028b35e0ae5aa206e4026a69011f1e34027a39966052d5893a625490cb",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "konnectivity-agent-autoscaler-6849fff748-wb7mp",
        "pod-name": "kube-system/konnectivity-agent-autoscaler-6849fff748-wb7mp"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 1845,
        "labels": [
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent-cpha",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:k8s-app=konnectivity-agent-autoscaler",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system"
        ],
        "labelsSHA256": "d17f0388e3bbfbf7df267ed8c6259f8384bbec15bad5f5e10d4c74d6e5ff1dca"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=6849fff748"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent-cpha",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=konnectivity-agent-autoscaler"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.1.249"
          }
        ],
        "host-mac": "86:16:40:f5:a3:75",
        "interface-index": 14,
        "interface-name": "lxc0c76fd591527",
        "mac": "d2:f7:18:65:63:81"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1845,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 1845,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 2797

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 2797

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:40Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:39Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:02Z   OK       ready                   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:05:02Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:00Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:04:51Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration trigger due to 
2022-04-13T08:04:50Z   OK       waiting-to-regenerate   Skipped duplicate endpoint regeneration level no-rebuild trigger due to one or more identities created or deleted
2022-04-13T08:04:49Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:04:49Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:04:49Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 1845

```
ID     LABELS
1845   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
       k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
       k8s:io.cilium.k8s.policy.serviceaccount=konnectivity-agent-cpha
       k8s:io.kubernetes.pod.namespace=kube-system
       k8s:k8s-app=konnectivity-agent-autoscaler

```


#### BPF Policy Get 3352

```
POLICY   DIRECTION   IDENTITY   PORT/PROTO   PROXY PORT   BYTES    PACKETS   
Allow    Ingress     0          ANY          NONE         313160   860       
Allow    Ingress     1          ANY          NONE         0        0         
Allow    Egress      0          ANY          NONE         85534    612       

```


#### BPF CT List 3352

```
Unable to open /sys/fs/bpf/tc/globals/cilium_ct4_03352: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct4_03352: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any4_03352: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any4_03352: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct6_03352: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct6_03352: no such file or directory: please try using "cilium bpf ct list global". Skipping.
Unable to open /sys/fs/bpf/tc/globals/cilium_ct_any6_03352: Unable to get object /sys/fs/bpf/tc/globals/cilium_ct_any6_03352: no such file or directory: please try using "cilium bpf ct list global". Skipping.

```


#### Endpoint Get 3352

```
[
  {
    "id": 3352,
    "spec": {
      "label-configuration": {},
      "options": {
        "ConntrackAccounting": "Enabled",
        "ConntrackLocal": "Disabled",
        "Debug": "Disabled",
        "DebugLB": "Disabled",
        "DebugPolicy": "Disabled",
        "DropNotification": "Enabled",
        "MonitorAggregationLevel": "None",
        "PolicyAuditMode": "Disabled",
        "PolicyVerdictNotification": "Enabled",
        "TraceNotification": "Enabled"
      }
    },
    "status": {
      "controllers": [
        {
          "configuration": {
            "error-retry": true,
            "error-retry-base": "2s"
          },
          "name": "endpoint-3352-regeneration-recovery",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "0001-01-01T00:00:00.000Z"
          },
          "uuid": "16e2944b-7ab8-491a-b4ef-6d084e2904a2"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "5m0s"
          },
          "name": "resolve-identity-3352",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:05:39.897Z",
            "success-count": 1
          },
          "uuid": "33fabd79-296e-4a90-985f-41a689ee4b93"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "1m0s"
          },
          "name": "sync-policymap-3352",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:15.762Z",
            "success-count": 6
          },
          "uuid": "96e283b3-ac48-4617-9c37-cd91aa8cd674"
        },
        {
          "configuration": {
            "error-retry": true,
            "interval": "10s"
          },
          "name": "sync-to-k8s-ciliumendpoint (3352)",
          "status": {
            "last-failure-timestamp": "0001-01-01T00:00:00.000Z",
            "last-success-timestamp": "2022-04-13T08:08:19.923Z",
            "success-count": 18
          },
          "uuid": "02ab0970-d596-4b82-87f3-a6ba114013b8"
        }
      ],
      "external-identifiers": {
        "container-id": "9967749fc1dafd4f188b7f3744769b340706cd9cb54735740e7a72382db0346c",
        "k8s-namespace": "kube-system",
        "k8s-pod-name": "clustermesh-apiserver-5d6d477b59-vjmb9",
        "pod-name": "kube-system/clustermesh-apiserver-5d6d477b59-vjmb9"
      },
      "health": {
        "bpf": "OK",
        "connected": true,
        "overallHealth": "OK",
        "policy": "OK"
      },
      "identity": {
        "id": 9178,
        "labels": [
          "k8s:k8s-app=clustermesh-apiserver",
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:io.cilium.k8s.policy.serviceaccount=clustermesh-apiserver",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm"
        ],
        "labelsSHA256": "ef13b94b4903c2921ed0b8fdd4e08cd927edaa9baa99fe003545283d27774907"
      },
      "labels": {
        "derived": [
          "k8s:pod-template-hash=5d6d477b59"
        ],
        "realized": {},
        "security-relevant": [
          "k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system",
          "k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm",
          "k8s:io.cilium.k8s.policy.serviceaccount=clustermesh-apiserver",
          "k8s:io.kubernetes.pod.namespace=kube-system",
          "k8s:k8s-app=clustermesh-apiserver"
        ]
      },
      "log": [
        {
          "code": "OK",
          "message": "Successfully regenerated endpoint program (Reason: one or more identities created or deleted)",
          "state": "ready",
          "timestamp": "2022-04-13T08:07:15Z"
        }
      ],
      "networking": {
        "addressing": [
          {
            "ipv4": "10.60.1.234"
          }
        ],
        "host-mac": "8a:74:79:e9:b7:9e",
        "interface-index": 22,
        "interface-name": "lxc675665399000",
        "mac": "3e:ad:53:12:be:ca"
      },
      "policy": {
        "proxy-statistics": [],
        "realized": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 9178,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        },
        "spec": {
          "allowed-egress-identities": [
            0
          ],
          "allowed-ingress-identities": [
            0,
            1
          ],
          "build": 1,
          "denied-egress-identities": null,
          "denied-ingress-identities": null,
          "id": 9178,
          "l4": {
            "egress": [],
            "ingress": []
          },
          "policy-enabled": "none",
          "policy-revision": 1
        }
      },
      "realized": {
        "label-configuration": {},
        "options": {
          "ConntrackAccounting": "Enabled",
          "ConntrackLocal": "Disabled",
          "Debug": "Disabled",
          "DebugLB": "Disabled",
          "DebugPolicy": "Disabled",
          "DropNotification": "Enabled",
          "MonitorAggregationLevel": "None",
          "PolicyAuditMode": "Disabled",
          "PolicyVerdictNotification": "Enabled",
          "TraceNotification": "Enabled"
        }
      },
      "state": "ready"
    }
  }
]


```


#### Endpoint Health 3352

```
Overall Health:   OK
BPF Health:       OK
Policy Health:    OK
Connected:        yes

```


#### Endpoint Log 3352

```
Timestamp              Status   State                   Message
2022-04-13T08:07:15Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:07:15Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:07:15Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:07:15Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:40Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:40Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:40Z   OK       ready                   Successfully regenerated endpoint program (Reason: one or more identities created or deleted)
2022-04-13T08:05:40Z   OK       ready                   Completed endpoint regeneration with no pending regeneration requests
2022-04-13T08:05:40Z   OK       regenerating            Regenerating endpoint: one or more identities created or deleted
2022-04-13T08:05:40Z   OK       waiting-to-regenerate   Successfully regenerated endpoint program (Reason: updated security labels)
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to one or more identities created or deleted
2022-04-13T08:05:39Z   OK       regenerating            Regenerating endpoint: updated security labels
2022-04-13T08:05:39Z   OK       waiting-to-regenerate   Triggering endpoint regeneration due to updated security labels
2022-04-13T08:05:39Z   OK       ready                   Set identity for this endpoint
2022-04-13T08:05:39Z   OK       waiting-for-identity    Endpoint creation

```


#### Identity get 9178

```
ID     LABELS
9178   k8s:io.cilium.k8s.namespace.labels.kubernetes.io/metadata.name=kube-system
       k8s:io.cilium.k8s.policy.cluster=cilium-cilium-2158036465-vm
       k8s:io.cilium.k8s.policy.serviceaccount=clustermesh-apiserver
       k8s:io.kubernetes.pod.namespace=kube-system
       k8s:k8s-app=clustermesh-apiserver

```


#### Cilium memory map


```
00400000-024e2000 r-xp 00000000 08:01 281045                             /usr/bin/cilium-agent
024e2000-049df000 r--p 020e2000 08:01 281045                             /usr/bin/cilium-agent
049df000-04add000 rw-p 045df000 08:01 281045                             /usr/bin/cilium-agent
04add000-05267000 rw-p 00000000 00:00 0 
c000000000-c001e00000 rw-p 00000000 00:00 0 
c001e00000-c002000000 rw-p 00000000 00:00 0 
c002000000-c002200000 rw-p 00000000 00:00 0 
c002200000-c003800000 rw-p 00000000 00:00 0 
c003800000-c004000000 ---p 00000000 00:00 0 
7f9f9d04c000-7f9f9d13c000 rw-p 00000000 00:00 0 
7f9f9d13c000-7f9f9d13e000 rw-s 00000000 00:0d 11910                      anon_inode:[perf_event]
7f9f9d13e000-7f9f9d140000 rw-s 00000000 00:0d 11910                      anon_inode:[perf_event]
7f9f9d140000-7f9f9f887000 rw-p 00000000 00:00 0 
7f9f9f887000-7f9fafa07000 ---p 00000000 00:00 0 
7f9fafa07000-7f9fafa08000 rw-p 00000000 00:00 0 
7f9fafa08000-7f9fc18b7000 ---p 00000000 00:00 0 
7f9fc18b7000-7f9fc18b8000 rw-p 00000000 00:00 0 
7f9fc18b8000-7f9fc3c8d000 ---p 00000000 00:00 0 
7f9fc3c8d000-7f9fc3c8e000 rw-p 00000000 00:00 0 
7f9fc3c8e000-7f9fc4107000 ---p 00000000 00:00 0 
7f9fc4107000-7f9fc4108000 rw-p 00000000 00:00 0 
7f9fc4108000-7f9fc4187000 ---p 00000000 00:00 0 
7f9fc4187000-7f9fc41e7000 rw-p 00000000 00:00 0 
7ffe8c327000-7ffe8c348000 rw-p 00000000 00:00 0                          [stack]
7ffe8c39e000-7ffe8c3a1000 r--p 00000000 00:00 0                          [vvar]
7ffe8c3a1000-7ffe8c3a2000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

```


#### Kernel version

```
5.4.144
```


#### Cilium status

```
KVStore:                Ok   Disabled
Kubernetes:             Ok   1.21 (v1.21.6-gke.1503) [linux/amd64]
Kubernetes APIs:        ["cilium/v2::CiliumClusterwideNetworkPolicy", "cilium/v2::CiliumEndpoint", "cilium/v2::CiliumNetworkPolicy", "cilium/v2::CiliumNode", "core/v1::Namespace", "core/v1::Node", "core/v1::Pods", "core/v1::Service", "discovery/v1::EndpointSlice", "networking.k8s.io/v1::NetworkPolicy"]
KubeProxyReplacement:   Strict   [eth0 10.168.0.70]
Host firewall:          Disabled
CNI Chaining:           none
Cilium:                 Ok   1.11.90 (v1.11.90-fe69cb4)
NodeMonitor:            Disabled
Cilium health daemon:   Ok   
IPAM:                   IPv4: 8/254 allocated from 10.60.1.0/24, 
Allocated addresses:
  10.60.1.110 (kube-system/kube-dns-autoscaler-844c9d9448-9rgz9)
  10.60.1.128 (router)
  10.60.1.163 (kube-system/l7-default-backend-69fb9fd9f9-kdjsw)
  10.60.1.234 (kube-system/clustermesh-apiserver-5d6d477b59-vjmb9)
  10.60.1.249 (kube-system/konnectivity-agent-autoscaler-6849fff748-wb7mp)
  10.60.1.33 (kube-system/konnectivity-agent-6db7c55769-24fkm)
  10.60.1.78 (kube-system/kube-dns-697dc8fc8b-tskfh)
  10.60.1.81 (health)
BandwidthManager:       Disabled
Host Routing:           Legacy
Masquerading:           IPTables [IPv4: Enabled, IPv6: Disabled]
Clock Source for BPF:   jiffies   [1000 Hz]
Controller Status:      45/45 healthy
  Name                                                                              Last success   Last error   Count   Message
  bpf-map-sync-cilium_ipcache                                                       10s ago        never        0       no error   
  cilium-health-ep                                                                  42s ago        never        0       no error   
  dns-garbage-collector-job                                                         1m0s ago       never        0       no error   
  endpoint-1343-regeneration-recovery                                               never          never        0       no error   
  endpoint-1472-regeneration-recovery                                               never          never        0       no error   
  endpoint-174-regeneration-recovery                                                never          never        0       no error   
  endpoint-1844-regeneration-recovery                                               never          never        0       no error   
  endpoint-2797-regeneration-recovery                                               never          never        0       no error   
  endpoint-3352-regeneration-recovery                                               never          never        0       no error   
  endpoint-39-regeneration-recovery                                                 never          never        0       no error   
  endpoint-584-regeneration-recovery                                                never          never        0       no error   
  endpoint-gc                                                                       4m0s ago       never        0       no error   
  ipcache-inject-labels                                                             1m12s ago      3m57s ago    0       no error   
  k8s-heartbeat                                                                     30s ago        never        0       no error   
  mark-k8s-node-as-available                                                        3m43s ago      never        0       no error   
  metricsmap-bpf-prom-sync                                                          10s ago        never        0       no error   
  resolve-identity-1343                                                             3m21s ago      never        0       no error   
  resolve-identity-1472                                                             3m39s ago      never        0       no error   
  resolve-identity-174                                                              3m42s ago      never        0       no error   
  resolve-identity-1844                                                             3m43s ago      never        0       no error   
  resolve-identity-2797                                                             3m37s ago      never        0       no error   
  resolve-identity-3352                                                             2m47s ago      never        0       no error   
  resolve-identity-39                                                               3m37s ago      never        0       no error   
  resolve-identity-584                                                              3m23s ago      never        0       no error   
  sync-endpoints-and-host-ips                                                       43s ago        never        0       no error   
  sync-lb-maps-with-k8s-services                                                    3m43s ago      never        0       no error   
  sync-node-with-ciliumnode (gke-cilium-cilium-215803-default-pool-0924336a-61h7)   3m56s ago      3m57s ago    0       no error   
  sync-policymap-1343                                                               12s ago        never        0       no error   
  sync-policymap-1472                                                               12s ago        never        0       no error   
  sync-policymap-174                                                                12s ago        never        0       no error   
  sync-policymap-1844                                                               12s ago        never        0       no error   
  sync-policymap-2797                                                               12s ago        never        0       no error   
  sync-policymap-3352                                                               12s ago        never        0       no error   
  sync-policymap-39                                                                 12s ago        never        0       no error   
  sync-policymap-584                                                                12s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1343)                                                 11s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1472)                                                 9s ago         never        0       no error   
  sync-to-k8s-ciliumendpoint (174)                                                  12s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (1844)                                                 13s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (2797)                                                 17s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (3352)                                                 17s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (39)                                                   17s ago        never        0       no error   
  sync-to-k8s-ciliumendpoint (584)                                                  13s ago        never        0       no error   
  template-dir-watcher                                                              never          never        0       no error   
  update-k8s-node-annotations                                                       3m55s ago      never        0       no error   
Proxy Status:            OK, ip 10.60.1.128, 0 redirects active on ports 10000-20000
Global Identity Range:   min 256, max 65535
Hubble:                  Disabled
KubeProxyReplacement Details:
  Status:                 Strict
  Socket LB Protocols:    TCP, UDP
  Devices:                eth0 10.168.0.70
  Mode:                   SNAT
  Backend Selection:      Random
  Session Affinity:       Enabled
  Graceful Termination:   Enabled
  NAT46/64 Support:       Disabled
  XDP Acceleration:       Disabled
  Services:
  - ClusterIP:      Enabled
  - NodePort:       Enabled (Range: 30000-32767) 
  - LoadBalancer:   Enabled 
  - externalIPs:    Enabled 
  - HostPort:       Enabled
BPF Maps:   dynamic sizing: on (ratio: 0.002500)
  Name                          Size
  Non-TCP connection tracking   65536
  TCP connection tracking       131072
  Endpoint policy               65535
  Events                        2
  IP cache                      512000
  IP masquerading agent         16384
  IPv4 fragmentation            8192
  IPv4 service                  65536
  IPv6 service                  65536
  IPv4 service backend          65536
  IPv6 service backend          65536
  IPv4 service reverse NAT      65536
  IPv6 service reverse NAT      65536
  Metrics                       1024
  NAT                           131072
  Neighbor table                131072
  Global policy                 16384
  Per endpoint policy           65536
  Session affinity              65536
  Signal                        2
  Sockmap                       65535
  Sock reverse NAT              65536
  Tunnel                        65536
Encryption:   Disabled
```

#### Policy get

```
:
 []
Revision: 1

```

