#### Read-only configurations ####
APIRateLimit
ARPPingKernelManaged              : false
ARPPingRefreshPeriod              : 30000000000
AgentHealthPort                   : 9876
AgentLabels                       : []
AllocatorListTimeout              : 180000000000
AllowICMPFragNeeded               : true
AllowLocalhost                    : always
AnnotateK8sNode                   : true
AutoCreateCiliumNodeResource      : true
BGPAnnounceLBIP                   : false
BGPAnnouncePodCIDR                : false
BGPConfigPath                     : /var/lib/cilium/bgp/config.yaml
BPFCompileDebug                   : 
BPFMapsDynamicSizeRatio           : 0.0025
BPFRoot                           : 
BPFSocketLBHostnsOnly             : false
BpfDir                            : /var/lib/cilium/bpf
BypassIPAvailabilityUponRestore   : false
CGroupRoot                        : 
CRDWaitTimeout                    : 300000000000
CTMapEntriesGlobalAny             : 65536
CTMapEntriesGlobalTCP             : 131072
CTMapEntriesTimeoutAny            : 60000000000
CTMapEntriesTimeoutFIN            : 10000000000
CTMapEntriesTimeoutSVCAny         : 60000000000
CTMapEntriesTimeoutSVCTCP         : 21600000000000
CTMapEntriesTimeoutSYN            : 60000000000
CTMapEntriesTimeoutTCP            : 21600000000000
CertDirectory                     : /var/run/cilium/certs
CgroupPathMKE                     : 
ClockSource                       : 1
ClusterHealthPort                 : 4240
ClusterID                         : 0
ClusterMeshConfig                 : /var/lib/cilium/clustermesh/
ClusterMeshHealthPort             : 0
ClusterName                       : cilium-cilium-2158036465-vm
CompilerFlags                     : []
ConfigDir                         : /tmp/cilium/config-map
ConfigFile                        : 
ConntrackGCInterval               : 0
CreationTime                      : 2022-04-13T08:04:26.682215484Z
DNSMaxIPsPerRestoredRule          : 1000
DNSPolicyUnloadOnShutdown         : false
DatapathMode                      : veth
Debug                             : false
DebugVerbose                      : []
DeriveMasqIPAddrFromDevice        : 
DevicePreFilter                   : undefined
Devices                           : [eth0]
DirectRoutingDevice               : 
DisableCNPStatusUpdates           : true
DisableCiliumEndpointCRD          : false
DisableEnvoyVersionCheck          : false
DisableIptablesFeederRules        : []
DryMode                           : false
EgressMasqueradeInterfaces        : 
EgressMultiHomeIPRuleCompat       : false
EnableAutoDirectRouting           : false
EnableAutoProtectNodePortRange    : true
EnableBBR                         : false
EnableBGPControlPlane             : false
EnableBPFClockProbe               : true
EnableBPFMasquerade               : false
EnableBPFTProxy                   : false
EnableBandwidthManager            : false
EnableCiliumEndpointSlice         : false
EnableCustomCalls                 : false
EnableEndpointHealthChecking      : true
EnableEndpointRoutes              : true
EnableEnvoyConfig                 : false
EnableExternalIPs                 : true
EnableHealthCheckNodePort         : true
EnableHealthChecking              : true
EnableHealthDatapath              : false
EnableHostFirewall                : false
EnableHostIPRestore               : true
EnableHostLegacyRouting           : true
EnableHostPort                    : true
EnableHostReachableServices       : true
EnableHostServicesPeer            : true
EnableHostServicesTCP             : true
EnableHostServicesUDP             : true
EnableHubble                      : false
EnableHubbleRecorderAPI           : true
EnableICMPRules                   : false
EnableIPMasqAgent                 : false
EnableIPSec                       : false
EnableIPv4                        : true
EnableIPv4EgressGateway           : false
EnableIPv4FragmentsTracking       : true
EnableIPv4Masquerade              : true
EnableIPv6                        : false
EnableIPv6Masquerade              : false
EnableIPv6NDP                     : false
EnableIdentityMark                : true
EnableK8sTerminatingEndpoint      : true
EnableL2NeighDiscovery            : true
EnableL7Proxy                     : true
EnableLocalNodeRoute              : false
EnableLocalRedirectPolicy         : false
EnableMKE                         : false
EnableMonitor                     : true
EnableNodePort                    : true
EnablePolicy                      : default
EnableRecorder                    : false
EnableRemoteNodeIdentity          : true
EnableSVCSourceRangeCheck         : true
EnableServiceTopology             : false
EnableSessionAffinity             : true
EnableTracing                     : false
EnableUnreachableRoutes           : false
EnableVTEP                        : false
EnableWellKnownIdentities         : false
EnableWireguard                   : false
EnableWireguardUserspaceFallback  : false
EnableXDPPrefilter                : false
EnableXTSocketFallback            : true
EncryptInterface                  : []
EncryptNode                       : false
EndpointGCInterval                : 300000000000
EndpointQueueSize                 : 25
EndpointStatus
EnvoyConfigTimeout                : 120000000000
EnvoyLog                          : 
EnvoyLogPath                      : 
ExcludeLocalAddresses             : <nil>
ExternalClusterIP                 : false
FQDNProxyResponseMaxDelay         : 100000000
FQDNRejectResponse                : refused
FixedIdentityMapping
ForceLocalPolicyEvalAtSource      : true
FragmentsMapEntries               : 8192
HTTP403Message                    : 
HTTPIdleTimeout                   : 0
HTTPMaxGRPCTimeout                : 0
HTTPNormalizePath                 : true
HTTPRequestTimeout                : 3600
HTTPRetryCount                    : 3
HTTPRetryTimeout                  : 0
HostV4Addr                        : 
HostV6Addr                        : 
HubbleEventBufferCapacity         : 4095
HubbleEventQueueSize              : 2048
HubbleExportFileCompress          : false
HubbleExportFileMaxBackups        : 5
HubbleExportFileMaxSizeMB         : 10
HubbleExportFilePath              : 
HubbleListenAddress               : 
HubbleMetrics                     : []
HubbleMetricsServer               : 
HubbleRecorderSinkQueueSize       : 1024
HubbleRecorderStoragePath         : /var/run/cilium/pcaps
HubbleSocketPath                  : /var/run/cilium/hubble.sock
HubbleTLSCertFile                 : 
HubbleTLSClientCAFiles            : []
HubbleTLSDisabled                 : false
HubbleTLSKeyFile                  : 
IPAM                              : kubernetes
IPAllocationTimeout               : 120000000000
IPMasqAgentConfigPath             : /etc/config/ip-masq-agent
IPSecKeyFile                      : 
IPTablesLockTimeout               : 5000000000
IPTablesRandomFully               : false
IPv4NativeRoutingCIDR
	IP                        : 10.60.0.0
	Mask                      : //wAAA==
IPv4NodeAddr                      : auto
IPv4PodSubnets                    : []
IPv4Range                         : auto
IPv4ServiceRange                  : auto
IPv6ClusterAllocCIDR              : f00d::/64
IPv6ClusterAllocCIDRBase          : f00d::
IPv6MCastDevice                   : 
IPv6NativeRoutingCIDR             : <nil>
IPv6NodeAddr                      : auto
IPv6PodSubnets                    : []
IPv6Range                         : auto
IPv6ServiceRange                  : auto
IdentityAllocationMode            : crd
IdentityChangeGracePeriod         : 5000000000
IdentityRestoreGracePeriod        : 600000000000
InstallIptRules                   : true
InstallNoConntrackIptRules        : false
Ipvlan
	MasterDeviceIndex         : Disabled
	OperationMode             : 
IpvlanMasterDevice                : undefined
JoinCluster                       : false
K8sAPIServer                      : 
K8sClientBurst                    : 0
K8sClientQPSLimit                 : 0
K8sEnableAPIDiscovery             : false
K8sEnableK8sEndpointSlice         : true
K8sEnableLeasesFallbackDiscovery  : false
K8sEventHandover                  : false
K8sHeartbeatTimeout               : 30000000000
K8sKubeConfigPath                 : 
K8sNamespace                      : kube-system
K8sRequireIPv4PodCIDR             : true
K8sRequireIPv6PodCIDR             : false
K8sServiceCacheSize               : 128
K8sServiceProxyName               : 
K8sSyncTimeout                    : 180000000000
K8sWatcherEndpointSelector        : metadata.name!=kube-scheduler,metadata.name!=kube-controller-manager,metadata.name!=etcd-operator,metadata.name!=gcp-controller-manager
KVStore                           : 
KVStoreOpt
KVstoreConnectivityTimeout        : 120000000000
KVstoreKeepAliveInterval          : 300000000000
KVstoreLeaseTTL                   : 900000000000
KVstoreMaxConsecutiveQuorumErrors : 2
KVstorePeriodicSync               : 300000000000
KeepConfig                        : false
KernelHz                          : 1000
KubeProxyReplacement              : strict
KubeProxyReplacementHealthzBindAddr: 
LBDevInheritIPAddr                : 
LBMapEntries                      : 65536
LabelPrefixFile                   : 
Labels                            : []
LibDir                            : /var/lib/cilium
LoadBalancerDSRDispatch           : opt
LoadBalancerDSRL4Xlate            : frontend
LoadBalancerPMTUDiscovery         : false
LoadBalancerRSSv4
	IP                        : 
	Mask                      : <nil>
LoadBalancerRSSv4CIDR             : 
LoadBalancerRSSv6
	IP                        : 
	Mask                      : <nil>
LoadBalancerRSSv6CIDR             : 
LocalRouterIPv4                   : 
LocalRouterIPv6                   : 
LogDriver                         : []
LogOpt
LogSystemLoadConfig               : false
Logstash                          : false
LoopbackIPv4                      : 169.254.42.1
MTU                               : 0
MaglevHashSeed                    : JLfvgnHc2kaSUFaI
MaglevTableSize                   : 16381
MaxControllerInterval             : 0
MetricsConfig
	APIInteractionsEnabled    : Enabled
	APILimiterAdjustmentFactor: Enabled
	APILimiterProcessedRequests: Enabled
	APILimiterProcessingDuration: Enabled
	APILimiterRateLimit       : Enabled
	APILimiterRequestsInFlight: Enabled
	APILimiterWaitDuration    : Enabled
	APILimiterWaitHistoryDuration: Disabled
	ArpingRequestsTotalEnabled: Disabled
	BPFMapOps                 : Enabled
	BPFMapPressure            : Disabled
	BPFSyscallDurationEnabled : Disabled
	ConntrackDumpResetsEnabled: Enabled
	ConntrackGCDurationEnabled: Enabled
	ConntrackGCKeyFallbacksEnabled: Enabled
	ConntrackGCRunsEnabled    : Enabled
	ConntrackGCSizeEnabled    : Enabled
	ControllerRunsDurationEnabled: Enabled
	ControllerRunsEnabled     : Enabled
	DropBytesEnabled          : Enabled
	DropCountEnabled          : Enabled
	EndpointPropagationDelayEnabled: Enabled
	EndpointRegenerationCountEnabled: Enabled
	EndpointRegenerationTimeStatsEnabled: Enabled
	EndpointStateCountEnabled : Enabled
	ErrorsWarningsEnabled     : Enabled
	EventLagK8sEnabled        : Enabled
	EventTSAPIEnabled         : Enabled
	EventTSContainerdEnabled  : Enabled
	EventTSK8sEnabled         : Enabled
	FQDNGarbageCollectorCleanedTotalEnabled: Enabled
	ForwardBytesEnabled       : Enabled
	IdentityCountEnabled      : Enabled
	IpamEventEnabled          : Enabled
	KVStoreEventsQueueDurationEnabled: Enabled
	KVStoreOperationsDurationEnabled: Enabled
	KVStoreQuorumErrorsEnabled: Enabled
	KubernetesAPICallsEnabled : Enabled
	KubernetesAPIInteractionsEnabled: Enabled
	KubernetesCNPStatusCompletionEnabled: Enabled
	KubernetesEventProcessedEnabled: Enabled
	KubernetesEventReceivedEnabled: Enabled
	NoOpCounterVecEnabled     : Enabled
	NoOpObserverVecEnabled    : Enabled
	NodeConnectivityLatencyEnabled: Enabled
	NodeConnectivityStatusEnabled: Enabled
	PolicyCountEnabled        : Enabled
	PolicyEndpointStatusEnabled: Enabled
	PolicyImplementationDelayEnabled: Enabled
	PolicyImportErrorsEnabled : Enabled
	PolicyRegenerationCountEnabled: Enabled
	PolicyRegenerationTimeStatsEnabled: Enabled
	PolicyRevisionEnabled     : Disabled
	ProxyDeniedEnabled        : Enabled
	ProxyForwardedEnabled     : Enabled
	ProxyParseErrorsEnabled   : Enabled
	ProxyPolicyL7Enabled      : Enabled
	ProxyReceivedEnabled      : Enabled
	ProxyRedirectsEnabled     : Enabled
	ServicesCountEnabled      : Enabled
	SignalsHandledEnabled     : Enabled
	SubprocessStartEnabled    : Enabled
	TriggerPolicyUpdateCallDuration: Enabled
	TriggerPolicyUpdateFolds  : Enabled
	TriggerPolicyUpdateTotal  : Enabled
	VersionMetric             : Enabled
ModePreFilter                     : native
Monitor
	cpus                      : 2
	npages                    : 64
	pagesize                  : 4096
MonitorAggregation                : none
MonitorAggregationFlags           : 255
MonitorAggregationInterval        : 5000000000
MonitorQueueSize                  : 2048
NATMapEntriesGlobal               : 131072
NeighMapEntriesGlobal             : 131072
NodePortAcceleration              : disabled
NodePortAlg                       : random
NodePortBindProtection            : true
NodePortMax                       : 32767
NodePortMin                       : 30000
NodePortMode                      : snat
NodePortNat46X64                  : false
PProf                             : false
PProfPort                         : 6060
PolicyAuditMode                   : false
PolicyMapEntries                  : 16384
PolicyQueueSize                   : 100
PolicyTriggerInterval             : 1000000000
PreAllocateMaps                   : false
PrependIptablesChains             : true
PrometheusServeAddr               : 
ProxyConnectTimeout               : 1
ProxyGID                          : 1337
ProxyMaxConnectionDuration        : 0
ProxyMaxRequestsPerConnection     : 0
ProxyPrometheusPort               : 0
ReadCNIConfiguration              : 
ResetQueueMapping                 : true
RestoreState                      : true
RouteMetric                       : 0
RunDir                            : /var/run/cilium
RunMonitorAgent                   : true
SelectiveRegeneration             : true
SidecarIstioProxyImage            : cilium/istio_proxy
SizeofCTElement                   : 94
SizeofNATElement                  : 94
SizeofNeighElement                : 24
SizeofSockRevElement              : 52
SockRevNatEntries                 : 65536
SocketPath                        : /var/run/cilium/cilium.sock
SockopsEnable                     : false
StateDir                          : /var/run/cilium/state
TCFilterPriority                  : 1
ToFQDNsEnableDNSCompression       : true
ToFQDNsIdleConnectionGracePeriod  : 0
ToFQDNsMaxDeferredConnectionDeletes: 10000
ToFQDNsMaxIPsPerHost              : 50
ToFQDNsMinTTL                     : 3600
ToFQDNsPreCache                   : 
ToFQDNsProxyPort                  : 0
TracePayloadlen                   : 128
Tunnel                            : vxlan
TunnelPort                        : 8472
UseSingleClusterRoute             : false
VLANBPFBypass                     : []
Version                           : false
VtepCIDRs                         : <nil>
VtepCidrMask                      : 
VtepEndpoints                     : <nil>
VtepMACs                          : <nil>
WriteCNIConfigurationWhenReady    : 
XDPMode                           : disabled
k8s-configuration                 : 
k8s-endpoint                      : 
##### Read-write configurations #####
ConntrackAccounting               : Enabled
ConntrackLocal                    : Disabled
Debug                             : Disabled
DebugLB                           : Disabled
DropNotification                  : Enabled
MonitorAggregationLevel           : None
PolicyAuditMode                   : Disabled
PolicyTracing                     : Disabled
PolicyVerdictNotification         : Enabled
TraceNotification                 : Enabled
PolicyEnforcement                 : default
