[
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.60.1.234",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
          "port": 2379
        }
      ],
      "flags": {
        "name": "clustermesh-apiserver",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.45.28.24",
        "port": 2379,
        "scope": "external"
      },
      "id": 7
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.60.1.234",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
            "port": 2379
          }
        ],
        "flags": {
          "name": "clustermesh-apiserver",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.45.28.24",
          "port": 2379,
          "scope": "external"
        },
        "id": 7
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.60.1.234",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
          "port": 2379
        }
      ],
      "flags": {
        "name": "clustermesh-apiserver",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.168.0.70",
        "port": 31469,
        "scope": "external"
      },
      "id": 8
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.60.1.234",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
            "port": 2379
          }
        ],
        "flags": {
          "name": "clustermesh-apiserver",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.168.0.70",
          "port": 31469,
          "scope": "external"
        },
        "id": 8
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.60.1.234",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
          "port": 2379
        }
      ],
      "flags": {
        "name": "clustermesh-apiserver",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 31469,
        "scope": "external"
      },
      "id": 9
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.60.1.234",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
            "port": 2379
          }
        ],
        "flags": {
          "name": "clustermesh-apiserver",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 31469,
          "scope": "external"
        },
        "id": 9
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.60.1.163",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
          "port": 8080
        }
      ],
      "flags": {
        "name": "default-http-backend",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "10.168.0.70",
        "port": 30720,
        "scope": "external"
      },
      "id": 4
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.60.1.163",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
            "port": 8080
          }
        ],
        "flags": {
          "name": "default-http-backend",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "10.168.0.70",
          "port": 30720,
          "scope": "external"
        },
        "id": 4
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.60.0.36",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-ppcl",
          "port": 53
        },
        {
          "ip": "10.60.1.78",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
          "port": 53
        }
      ],
      "flags": {
        "name": "kube-dns",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.45.16.10",
        "port": 53,
        "scope": "external"
      },
      "id": 2
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.60.0.36",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-ppcl",
            "port": 53
          },
          {
            "ip": "10.60.1.78",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
            "port": 53
          }
        ],
        "flags": {
          "name": "kube-dns",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.45.16.10",
          "port": 53,
          "scope": "external"
        },
        "id": 2
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.60.1.163",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
          "port": 8080
        }
      ],
      "flags": {
        "name": "default-http-backend",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.45.18.104",
        "port": 80,
        "scope": "external"
      },
      "id": 3
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.60.1.163",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
            "port": 8080
          }
        ],
        "flags": {
          "name": "default-http-backend",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.45.18.104",
          "port": 80,
          "scope": "external"
        },
        "id": 3
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.60.1.163",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
          "port": 8080
        }
      ],
      "flags": {
        "name": "default-http-backend",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "NodePort"
      },
      "frontend-address": {
        "ip": "0.0.0.0",
        "port": 30720,
        "scope": "external"
      },
      "id": 5
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.60.1.163",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
            "port": 8080
          }
        ],
        "flags": {
          "name": "default-http-backend",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "NodePort"
        },
        "frontend-address": {
          "ip": "0.0.0.0",
          "port": 30720,
          "scope": "external"
        },
        "id": 5
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.60.0.109",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-ppcl",
          "port": 10250
        }
      ],
      "flags": {
        "name": "metrics-server",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.45.22.58",
        "port": 443,
        "scope": "external"
      },
      "id": 6
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.60.0.109",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-ppcl",
            "port": 10250
          }
        ],
        "flags": {
          "name": "metrics-server",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.45.22.58",
          "port": 443,
          "scope": "external"
        },
        "id": 6
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "10.60.1.234",
          "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
          "port": 2379
        }
      ],
      "flags": {
        "name": "clustermesh-apiserver",
        "namespace": "kube-system",
        "trafficPolicy": "Cluster",
        "type": "LoadBalancer"
      },
      "frontend-address": {
        "ip": "10.168.0.30",
        "port": 2379,
        "scope": "external"
      },
      "id": 10
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "10.60.1.234",
            "nodeName": "gke-cilium-cilium-215803-default-pool-0924336a-61h7",
            "port": 2379
          }
        ],
        "flags": {
          "name": "clustermesh-apiserver",
          "namespace": "kube-system",
          "trafficPolicy": "Cluster",
          "type": "LoadBalancer"
        },
        "frontend-address": {
          "ip": "10.168.0.30",
          "port": 2379,
          "scope": "external"
        },
        "id": 10
      }
    }
  },
  {
    "spec": {
      "backend-addresses": [
        {
          "ip": "34.102.48.255",
          "port": 443
        }
      ],
      "flags": {
        "name": "kubernetes",
        "namespace": "default",
        "trafficPolicy": "Cluster",
        "type": "ClusterIP"
      },
      "frontend-address": {
        "ip": "10.45.16.1",
        "port": 443,
        "scope": "external"
      },
      "id": 1
    },
    "status": {
      "realized": {
        "backend-addresses": [
          {
            "ip": "34.102.48.255",
            "port": 443
          }
        ],
        "flags": {
          "name": "kubernetes",
          "namespace": "default",
          "trafficPolicy": "Cluster",
          "type": "ClusterIP"
        },
        "frontend-address": {
          "ip": "10.45.16.1",
          "port": 443,
          "scope": "external"
        },
        "id": 1
      }
    }
  }
]

